Name: libxcb
Version: 1.13.1
Release: 2
Summary: A C binding to the X11 protocol

License: X11
URL: http://xcb.freedesktop.org/

Source0: http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkg-config
BuildRequires: python2-devel
BuildRequires: libxslt

BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-proto-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXau-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: xcb-proto


%description
The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a
small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

%package -n libxcb-composite0
Summary: libxcb-composite library

%description -n libxcb-composite0
libxcb-composite library

%package -n libxcb-damage0
Summary: libxcb-damage library

%description -n libxcb-damage0
libxcb-damage library

%package -n libxcb-dpms0
Summary: libxcb-dpms library

%description -n libxcb-dpms0
libxcb-dpms library

%package -n libxcb-dri2-0
Summary: libxcb-dri2 library

%description -n libxcb-dri2-0
libxcb-dri2 library

%package -n libxcb-dri3-0
Summary: libxcb-dri3 library

%description -n libxcb-dri3-0
libxcb-dri3 library

%package -n libxcb-glx0
Summary: libxcb-glx library

%description -n libxcb-glx0
libxcb-glx library


%package -n libxcb-present0
Summary: libxcb-present library

%description -n libxcb-present0
libxcb-present library

%package -n libxcb-randr0
Summary: libxcb-randr library

%description -n libxcb-randr0
libxcb-randr library

%package -n libxcb-record0
Summary: libxcb-record library

%description -n libxcb-record0
libxcb-record library

%package -n libxcb-render0
Summary: libxcb-render library

%description -n libxcb-render0
libxcb-render library

%package -n libxcb-res0
Summary: libxcb-res library

%description -n libxcb-res0
libxcb-res library

%package -n libxcb-screensaver0
Summary: libxcb-screensaver library

%description -n libxcb-screensaver0
libxcb-screensaver library

%package -n libxcb-shape0
Summary: libxcb-shape library

%description -n libxcb-shape0
libxcb-shape library

%package -n libxcb-shm0
Summary: libxcb-shm library

%description -n libxcb-shm0
libxcb-shm library

%package -n libxcb-sync1
Summary: libxcb-sync library

%description -n libxcb-sync1
libxcb-sync library

%package -n libxcb-xf86dri0
Summary: libxcb-xf86dri library

%description -n libxcb-xf86dri0
libxcb-xf86dri library


%package -n libxcb-xfixes0
Summary: libxcb-xfixes library

%description -n libxcb-xfixes0
libxcb-xfixes library

%package -n libxcb-xinerama0
Summary: libxcb-xinerama library

%description -n libxcb-xinerama0
libxcb-xinerama library

%package -n libxcb-xinput0
Summary: libxcb-xinput library

%description -n libxcb-xinput0
libxcb-xinput library

%package -n libxcb-xkb1
Summary: libxcb-xkb library

%description -n libxcb-xkb1
libxcb-xkb library

%package -n libxcb-xtest0
Summary: libxcb-xtest library

%description -n libxcb-xtest0
libxcb-xtest library

%package -n libxcb-xv0
Summary: libxcb-xv library

%description -n libxcb-xv0
libxcb-xv library

%package -n libxcb-xvmc0
Summary: libxcb-xvmc library

%description -n libxcb-xvmc0
libxcb-xvmc library

%package -n libxcb1
Summary: libxcb library

%description -n libxcb1
libxcb library

%package devel
Summary: Development files for %{name}

BuildRequires: xcb-proto >= 1.6

Requires: libxcb-composite0 = %{version}-%{release}
Requires: libxcb-composite0 = %{version}-%{release}
Requires: libxcb-damage0 = %{version}-%{release}
Requires: libxcb-dpms0 = %{version}-%{release}
Requires: libxcb-dri2-0 = %{version}-%{release}
Requires: libxcb-dri3-0 = %{version}-%{release}
Requires: libxcb-glx0 = %{version}-%{release}
Requires: libxcb-present0 = %{version}-%{release}
Requires: libxcb-randr0 = %{version}-%{release}
Requires: libxcb-record0 = %{version}-%{release}
Requires: libxcb-render0 = %{version}-%{release}
Requires: libxcb-res0 = %{version}-%{release}
Requires: libxcb-screensaver0 = %{version}-%{release}
Requires: libxcb-shape0 = %{version}-%{release}
Requires: libxcb-shm0 = %{version}-%{release}
Requires: libxcb-sync1 = %{version}-%{release}
Requires: libxcb-xf86dri0 = %{version}-%{release}
Requires: libxcb-xfixes0 = %{version}-%{release}
Requires: libxcb-xinerama0 = %{version}-%{release}
Requires: libxcb-xinput0 = %{version}-%{release}
Requires: libxcb-xkb1 = %{version}-%{release}
Requires: libxcb-xtest0 = %{version}-%{release}
Requires: libxcb-xv0 = %{version}-%{release}
Requires: libxcb-xvmc0 = %{version}-%{release}
Requires: libxcb1 = %{version}-%{release}
Requires: pkg-config
Requires: libpthread-stubs-devel
Requires: libXau-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
autoreconf -fiv
%configure \
    LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
    --with-aix-soname=svr4 \
    --enable-shared \
    --disable-static \
    #end

%make_build

%check
make check

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files
%defattr(-, qsys, *none)
%license COPYING
%doc NEWS README

%files -n libxcb-composite0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-composite.so.0

%files -n libxcb-damage0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-damage.so.0

%files -n libxcb-dpms0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-dpms.so.0

%files -n libxcb-dri2-0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-dri2.so.0

%files -n libxcb-dri3-0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-dri3.so.0

%files -n libxcb-glx0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-glx.so.0

%files -n libxcb-present0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-present.so.0

%files -n libxcb-randr0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-randr.so.0

%files -n libxcb-record0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-record.so.0

%files -n libxcb-render0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-render.so.0

%files -n libxcb-res0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-res.so.0

%files -n libxcb-screensaver0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-screensaver.so.0

%files -n libxcb-shape0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-shape.so.0

%files -n libxcb-shm0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-shm.so.0

%files -n libxcb-sync1
%defattr(-, qsys, *none)
%{_libdir}/libxcb-sync.so.1

%files -n libxcb-xf86dri0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-xf86dri.so.0

%files -n libxcb-xfixes0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-xfixes.so.0

%files -n libxcb-xinerama0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-xinerama.so.0

%files -n libxcb-xinput0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-xinput.so.0

%files -n libxcb-xkb1
%defattr(-, qsys, *none)
%{_libdir}/libxcb-xkb.so.1

%files -n libxcb-xtest0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-xtest.so.0

%files -n libxcb-xv0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-xv.so.0

%files -n libxcb-xvmc0
%defattr(-, qsys, *none)
%{_libdir}/libxcb-xvmc.so.0

%files -n libxcb1
%defattr(-, qsys, *none)
%{_libdir}/libxcb.so.1

%files devel
%defattr(-, qsys, *none)
%doc COPYING NEWS README
%{_includedir}/xcb
%{_libdir}/libxcb*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
%{_datadir}/doc/libxcb/tutorial/*

%changelog
* Wed Oct 28 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.13.1
- Require libpthread-stubs-devel instead of libpthread-stubs
- Update license to X11

* Thu Jul 30 2020 <abdirahim.musse@ibm.com> - 1.13.1
- Initial spec

